#ifndef PROGRAM_H
#define PROGRAM_H

#include <Arduino.h>
#include <ESP8266WiFi.h>

#include "DiscordAPI.h"
#include "Encoder.h"



class Program {
public:
    /**
     * Program startup
     */
    Program();

    /**
     * Program main loop
     */
    void loop();
private:
    /**
     * Encoder object
     */
    Encoder* encoder;

    /**
     * Old encoder position
     */
    long oldPosition;

    DiscordAPI* discord;
};

#endif
